/*
   Uno IR Temp Meter -- Terminal Connection
   Sends temperature readings to Serial port
   see www.pfod.com.au for other projects

   (c)2013 Forward Computing and Control Pty. Ltd.
   This code may be freely used for both private and commerical use.
   Provide this copyright is maintained.

   NOTE: This sketch uses Interrupt 1
   and pins D2,D3,D4

*/

#include "pfodIRTemp.h"
pfodIRTemp irTemp;  // construct class to handle sensor

bool fahrenheit = false; // set to true for Fahrenheit instead of Celsius
void setup() {
  Serial.begin(9600);
}

void loop() {
  irTemp.triggerSensor();
  int reading = irTemp.getIRTemperature();
  if (reading != pfodIRTemp::NO_DATA) {  // have a reading
    Serial.print(millis() / 1000.0); // output secs since restart
    Serial.print(F(",Sec,"));  // csv comma separator
    if (reading <  pfodIRTemp::NO_DATA) {
      Serial.println(F(" ,Invalid Reading"));
    } else {
      if (fahrenheit) {
        Serial.print(irTemp.convertToFahrenheit(reading));
        Serial.println(F(",F"));
      } else {
        Serial.print(irTemp.convertToCelsius(reading));
        Serial.println(F(",C"));
      }
    }
  }
}
